<!--- 
The contents of this file are subject to the Mozilla Public License Version 1.1
(the "License"); you may not use this file except in compliance with the
License. You may obtain a copy of the License at http://www.mozilla.org/MPL/

Software distributed under the License is distributed on an "AS IS" basis,
WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
the specific language governing rights and limitations under the License.

The Original Code is comprised of the PT Profile directory

The Initial Developer of the Original Code is
PaperThin, Inc. Copyright(C) 2011.
All Rights Reserved.

By downloading, modifying, distributing, using and/or accessing any files 
in this directory, you agree to the terms and conditions of the applicable 
end user license agreement.
--->

<!---
/* *************************************************************** */
Author:
	PaperThin Inc.
	M. Carroll
Name:
	full_page_rh.cfm
Element:
	Profile
ADF App:
	pt_profile
Version:
	2.0
History:
	2010-03-01 - MFC - Created
	2010-08-26 - MFC - V2.0
--->
<!--- Check that we have values --->
<cfif arrayLen(attributes.elementinfo.elementdata.propertyValues) gt 0>
   	
  <cfscript>
		application.ptProfile.scripts.loadJQuery();
		application.ptProfile.scripts.loadADFLightbox();
			
		// Initialize the metadata values
		profileUserID = "";
		profileType = "";
		// Verify that the metadata form exists on the page
	 	if ( StructKeyExists(request.page.metadata, "profiles") ){
	 		// Get the page metadata for the profile userID
	 		if ( StructKeyExists(request.page.metadata.profiles, "userid") )
	 			profileUserID = request.page.metadata.profiles.userid;
	 		// Get the page metadata for the profile type
	 		if ( StructKeyExists(request.page.metadata.profiles, "type") )
	 			profileType = request.page.metadata.profiles.type;
	 	}
	 	// get the items
		items = attributes.elementInfo.elementData.propertyValues[1];
		// get the formID and dataPageID for editing
		currentFormID = attributes.elementinfo.elementparams.properties.formid;
		currentDataPageID = attributes.elementinfo.elementdata.propertyvalues[1].pageid;
	</cfscript>    
	
	<!--- <cfdump var="#items#" expand="false"> --->
	<cfoutput>
	<!--- Load the Styles --->
	<link rel="stylesheet" type="text/css" href="/ADF/apps/pt_profile/style/profile.css">
	<div id="profile-wrapper">
    	<div class="profile-bio">
            <h1>#items.values.firstname# #items.values.lastname#</h1>
			<cfif LEN(items.values.email)>
                <h2><a href="#items.values.email#">#items.values.email#</a></h2>
			</cfif>
            <cfif isStruct(items.values.photo) AND StructKeyExists(items.values.photo, "resolvedURL")>
				<img src="#items.values.photo.resolvedURL.serverRelative#" alt="#items.values.photo.altText#" title="#items.values.photo.altText#" height="177" width="177" />		
            	<cfelse>
      			<img src="/ADF/apps/pt_profile/images/no-profile_medium.gif" alt="Profile photo no provided" title="Profile photo no provided" height="170" width="170" />
			</cfif>
			<cfif LEN(items.values.bio)>
            <p>#items.values.bio#</p>
			</cfif>
		</div>
		
        <div class="profile-extras">
       		<!--- JQuery for loading links --->
			<script language="javascript">
				jQuery(document).ready(function(){
					jQuery.get("#application.ADF.ajaxProxy#",
						{ 	
							bean: 'profileService',
							method: 'getLoginLinks',
							currentPageUserID: '#profileUserID#'
						},
						function(data){
							// write the return html to the div
							jQuery("div##infoBlock_login").html(data);
							// Init the LB again
							initADFLB();
						}
					);
				});
			</script>
			<div>
				<div id="infoBlock_login">
					Loading ... <img src="/ADF/apps/pt_profile/images/ajax-loader-arrows.gif">
				</div>
				<br />
			</div>
			
			<div class="profile-contact">
            <h4>Contact</h4>
                <ul>
                <!--- last list item needs last class --->
                    <cfif LEN(items.values.website)>
                    	<li><strong>Website:</strong> <a href="#items.values.website#">#items.values.website#</a></li>
                    </cfif>
                    <!--- <cfif LEN(items.values.blog)>
                    	<li><strong>Blog:</strong> <a href="#items.values.blog#">#items.values.blog#</a></li>
                    </cfif> --->
                    <cfif LEN(items.values.email)>
                    	<li><strong>e-Mail:</strong> <a href="mailto:#items.values.email#">#items.values.email#</a></li>
                    </cfif>
					<!--- <cfif LEN(items.values.company)>
                    	<li><strong>Company:</strong> #items.values.company#</li>
                    </cfif> --->
					<cfif LEN(items.values.title)>
                    	<li><strong>Title:</strong> #items.values.title#</li>
                    </cfif>
					<!--- <cfif LEN(items.values.phone)>
                    	<li><strong>Phone:</strong> #items.values.phone#</li>
                    </cfif> --->
                </ul>
            </div>
        </div>
        <div class="profile-extras last">
            <div class="profile-socialnetworks">
            <h4>Social Networks</h4>
                <ul>
                	<cfif (StructKeyExists(items.values, "facebook")) AND LEN(items.values.facebook)>
						<li><a href="http://www.facebook.com/#items.values.facebook#" class="facebook" target="_blank">facebook</a></li>
                    </cfif>
                    <cfif (StructKeyExists(items.values, "twitter")) AND LEN(items.values.twitter)>
						<li><a href="http://www.twitter.com/#items.values.twitter#" class="twitter" target="_blank">twitter</a></li>
                    </cfif>
                    <cfif (StructKeyExists(items.values, "linkedIn")) AND LEN(items.values.linkedIn)>
						<li><a href="#items.values.linkedIn#" class="linkedin" target="_blank">linkedin</a></li>
                    </cfif>
                    <cfif (StructKeyExists(items.values, "flickr")) AND LEN(items.values.flickr)>
						<li><a href="http://www.flickr.com/photos/#items.values.flickr#" class="flickr" target="_blank">flickr</a></li>
                    </cfif>
                    <cfif (StructKeyExists(items.values, "youtube")) AND LEN(items.values.youtube)>
						<li class="last"><a href="http://www.youtube.com/#items.values.youtube#" class="youtube" target="_blank">youtube</a></li>
                	</cfif>
                </ul>
            </div>
    	</div>
    </div>
	</cfoutput>
<cfelse>
	<div>
		<cfoutput><br />No User Profile Exists<br /></cfoutput>
	</div>
</cfif>
