<!--- 
The contents of this file are subject to the Mozilla Public License Version 1.1
(the "License"); you may not use this file except in compliance with the
License. You may obtain a copy of the License at http://www.mozilla.org/MPL/

Software distributed under the License is distributed on an "AS IS" basis,
WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
the specific language governing rights and limitations under the License.

The Original Code is comprised of the PT Profile directory

The Initial Developer of the Original Code is
PaperThin, Inc. Copyright(C) 2011.
All Rights Reserved.

By downloading, modifying, distributing, using and/or accessing any files 
in this directory, you agree to the terms and conditions of the applicable 
end user license agreement.
--->

<!---
/* *************************************************************** */
Author:
	PaperThin Inc.
	M. Carroll
Name:
	list_large_display_rh.cfm
Element:
	Profile
ADF App:
	pt_profile
Version:
	2.0
History:
	2009-07-23 - MFC - Created
	2010-08-26 - MFC - V2.0
--->
<!--- Check that we have values --->
<cftry>
	<cfif arrayLen(attributes.elementinfo.elementdata.propertyValues) gt 0>
		<cfscript>
				request.element.isStatic = 0;
				// Get the items
				items = attributes.elementInfo.elementData.propertyValues;
			</cfscript>
		<cfset currRowCount = 0>
		<!--- <cfdump var="#items#" expand="false"> --->
		<cfoutput>
		<!--- Load the Styles --->
		<link rel="stylesheet" href="/ADF/apps/pt_profile/style/profile.css" type="text/css" >
		<style>
		.profile-column {width:900px; overflow:auto; margin:0px; padding:0px;}
		    dl {float:left; display:inline; width:409px; padding:20px; border:2px solid ##FFF; border-top:none; border-left:none; }
		    dl+dl {border-right:none;}
		    dt {font:bold 15px arial, helvetica, sans serif; font-weight:bold; margin-left:170px; color:##17365d; letter-spacing:2px;}
		    dd {font:12px arial, helvetica, sans serif; color:##3a3a3a;}
		    dd img {width:140px; height:140px; margin-top:-30px; border:5px solid ##FFF;}
		        .title {margin-left:170px; color:##17365d; font-weight:bold; letter-spacing:2px;}
		        .image {width:158px; height:156px; float:left; padding-right:10px;}
		        .description {margin-left:10px; margin-top:10px;}
		        .call-to-action {font-size:10px; font-weight:bold; clear:both; float:left; background:url(/ADF/apps/pt_profile/images/call-to-action.gif) center left no-repeat; padding-left:20px; margin-top:-20px; margin-left:30px;}
		
		        .even {background-color:##efefef;}
		        .odd {background-color:##d8d8d8;}
		/**/
		</style>
		</cfoutput>
		<cfloop index="i" from="1" to="#ArrayLen(items)#">
			<!--- create the profile obj to get the extended data out --->
			<cfset profileObj = server.ADF.objectFactory.getBean("profile").initProfile(items[i].values.userid)>
			<cfset profileRoles = profileObj.getRoles()>
			<cfoutput>
			<cfif (i mod 2) EQ 1>
				<cfset currRowCount = currRowCount + 1>
				<cfif (currRowCount mod 2) EQ 1>
					<div class="profile-column odd">
				<cfelse>
					<div class="profile-column even">
				</cfif>
			</cfif>
			<dl>
				<dt>#items[i].values.firstname# #items[i].values.lastname#</dt>
				<dd class="title">
					<cfif LEN(items[i].values.email)>
						<a href="mailto:#items[i].values.email#">#items[i].values.email#</a>
					<cfelse>
						<p><br/></p>
					</cfif>
				</dd>
				<dd class="image">
					<cfif isStruct(items[i].values.photo) AND StructKeyExists(items[i].values.photo, "resolvedURL")>
						<img src="#items[i].values.photo.resolvedURL.serverRelative#" alt="#items[i].values.photo.altText#" title="#items[i].values.photo.altText#" width="140" height="140" />
					<cfelse>
						<img src="/ADF/apps/pt_profile/images/no-profile_small.gif" alt="Profile photo no provided" title="Profile photo no provided" width="140" height="140" />
					</cfif>
				</dd>
				
				<dd class="description">#application.ptProfile.data.trimStringByWordCount(items[i].values.bio, 40)#</dd>
				
				<cfset roleList = ListSort(StructKeyList(profileRoles), "textnocase")>
				<!--- Loop over the profile roles --->
				<cfloop index="role_i" from="1" to="#ListLen(roleList)#">
					<!--- Check if the profile has permissions --->
					<cfif profileRoles[ListGetAt(roleList,role_i)].permission>
						<cfset roleName = ListGetAt(roleList,role_i)>
						<dd class="call-to-action">
						<cfif (profileRoles[roleName].pageID GT 0)>
							<a href="#profileRoles[roleName].pageURL#">View #roleName# Profile</a>
						</cfif>
						</dd>
					</cfif>
				</cfloop>
			</dl>
			<cfif ((i mod 2) EQ 0) OR (i EQ ArrayLen(items))>
				</div>
			</cfif>
			</cfoutput>
		</cfloop>
	<cfelse>
		<div>
			<cfoutput>
				<p>No User Profile Exists</p>
			</cfoutput> 
		</div>
	</cfif>
	<cfcatch>
		<cfdump var="#cfcatch#">
	</cfcatch>
</cftry>
