<!--- 
The contents of this file are subject to the Mozilla Public License Version 1.1
(the "License"); you may not use this file except in compliance with the
License. You may obtain a copy of the License at http://www.mozilla.org/MPL/

Software distributed under the License is distributed on an "AS IS" basis,
WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
the specific language governing rights and limitations under the License.

The Original Code is comprised of the PT Profile directory

The Initial Developer of the Original Code is
PaperThin, Inc. Copyright(C) 2011.
All Rights Reserved.

By downloading, modifying, distributing, using and/or accessing any files 
in this directory, you agree to the terms and conditions of the applicable 
end user license agreement.
--->

<!---
/* *************************************************************** */
Author:
	PaperThin Inc.
	M. Carroll
Name:
	list_small_display_rh.cfm
Element:
	Profile
ADF App:
	pt_profile
Version:
	2.0
History:
	2009-07-23 - MFC - Created
	2010-08-26 - MFC - V2.0
--->
<!--- Check that we have values --->
<cfif arrayLen(attributes.elementinfo.elementdata.propertyValues) gt 0>
	<cfscript>
		// Get the items
		items = attributes.elementInfo.elementData.propertyValues;
	</cfscript>
	<!--- <cfdump var="#items#" expand="false"> --->
   	<cfoutput>
    <!--- Load the Styles --->
	<link rel="stylesheet" href="/ADF/apps/pt_profile/style/profile.css" type="text/css" >
	<div id="profileListing">
	</cfoutput>
		<cfloop index="i" from="1" to="#ArrayLen(items)#">
			<!--- create the profile obj to get the extended data out --->
			<cfset profileObj = server.ADF.objectFactory.getBean("profile").initProfile(items[i].values.userid)>
			<cfset profileRoles = profileObj.getRoles()>
			<cfoutput>
				<cfif (i mod 2) EQ 1>
					<div id="profileList-even">
				<cfelse>
					<div id="profileList-odd">
				</cfif>
					<dl id="name" class="profileItem">
						<dt class="item-title">
							#items[i].values.firstname# #items[i].values.lastname#
						</dt>
	                    <dd class="title"><a href="mailto:#items[i].values.email#">#items[i].values.email#</a></dd>
	                    <dd class="image">
	    				<cfif isStruct(items[i].values.photo) AND StructKeyExists(items[i].values.photo, "resolvedURL")>
	      					<img src="#items[i].values.photo.resolvedURL.serverRelative#" alt="#items[i].values.photo.altText#" title="#items[i].values.photo.altText#" width="140" height="140" />
	      				<cfelse>
	      					<img src="/ADF/apps/pt_profile/images/no-profile_small.gif" alt="Profile photo no provided" title="Profile photo no provided" width="140" height="140" />
	    				</cfif>
	  					</dd>
						<cfset roleList = ListSort(StructKeyList(profileRoles), "textnocase")>
						<!--- Loop over the profile roles --->
						<cfloop index="role_i" from="1" to="#ListLen(roleList)#">
							<!--- Check if the profile has permissions --->
							<cfif profileRoles[ListGetAt(roleList,role_i)].permission>
								<cfset roleName = ListGetAt(roleList,role_i)>
								<dd class="call-to-action">
									<cfif (profileRoles[roleName].pageID GT 0)>
										<a href="#profileRoles[roleName].pageURL#">View #roleName# Profile</a>
									</cfif>
								</dd>
							</cfif>
						</cfloop>
				</div>
			</cfoutput>	
		</cfloop>
	<cfoutput>
	</div>
	</cfoutput>
<cfelse>
	<div>
		<cfoutput><br />No User Profile Exists<br /></cfoutput>
	</div>
</cfif>